<?php
/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */


defined('_JEXEC') or die;
$bodyClass = '';
if ($this->countModules('slideshow')) $bodyClass ='has-slideshow';

$bg  = $this->params->get('background_img', '');

if($bg) {
  $bg = 'background-image: url("'.$bg.'")';
}
?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>"
	  class='<jdoc:include type="pageclass" />'>
    <?php $this->addCss('layouts/docs') ?>
<head>
	<jdoc:include type="head" />
	<?php $this->loadBlock('head') ?>
</head>

<body class="<?php echo $bodyClass; ?>" >

<div class="t3-wrapper" <?php if($bg) echo 'style="'.$bg.'"'; ?> > <!-- Need this wrapper for off-canvas menu. Remove if you don't use of-canvas -->

  <?php $this->loadBlock('header') ?>

  <?php $this->loadBlock('slideshow') ?>
  
  <?php $this->loadBlock('masthead') ?>

  <?php $this->loadBlock('mast-top') ?>

  <div class="container-hd">

    <?php $this->loadBlock('sections') ?>

    <?php $this->loadBlock('spotlight-1') ?>

    <?php $this->loadBlock('mainbody') ?>

    <?php $this->loadBlock('content-bottom') ?>
    
	<?php $this->loadBlock('bottom-inside') ?>

    <?php $this->loadBlock('navhelper') ?>

    <?php $this->loadBlock('footer') ?>
  </div>

</div>

</body>

</html>